/**
 * Common javascript functions of PHPGEN system.
 *
 * PHPGEN is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * PHPGEN is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with PHPGEN; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @copyright   EasySoft R&D Team (C) 2006
 * @author      Chunsheng Wang <wwccss@263.net>
 * @link        http://www.phpgen.com
 * @version     $Id: FuncMain.js,v 1.3 2006/08/15 15:41:21 wangcs Exp $
 */

/**
 * Show or hide a element.
 *
 * @author  wwccss <wwccss@263.net>
 * @param   string  ElementID
 * @param   string  Elements to hidden.
 */
function switchDisplay(ElementID, HiddenElements)
{
    var Element = document.getElementById(ElementID);
    if(Element.style.display == "none")
    {
        Element.style.display = "";
    }
    else
    {
        Element.style.display = "none";
    }
    hidden(HiddenElements);
}

/**
 * Hidden elements.
 *
 * @author  wwccss <wwccss@263.net>
 * @param   string ElementID
 */
function hidden(ElementList)
{
    if(ElementList)
    {
        ElementList = ElementList.split(',');
        for(X = 0; X < ElementList.length; X++)
        {
            document.getElementById(ElementList[X]).style.display = "none";
        }
    }
}